<template>
  <div>
    <h3>AxiosJokes joke</h3>
    <button @click="showJoke">showJoke</button>
    <i>{{ joke }}</i>
    <button @click="profileData">Show profile</button>
    {{ profile }}
    <ul>
      <li v-for="prof in profile" :key="prof">
        {{ prof.id }}
      </li>
    </ul>
    <ol>
      <li v-for="prof in profile" :key="prof">
        {{ prof }}
      </li>
    </ol>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "AxiosJokes",
  data: function() {
    return {
      joke: null,
      profile: null
    };
  },
  methods: {
    async showJoke() {
      let config = {
        headers: {
          Accept: "application/json"
        }
      };
      const joke = await axios.get("https://icanhazdadjoke.com/", config);
      this.joke = joke.data.joke;
    },
    async profileData() {
      const body = JSON.stringify({
        paramlist: { paramlist: { filter: [], need: ["id", "name"] } }
        // paramlist: { paramlist: { filter: [["id", "=", 10]], need: [] } }
      });
      const profile = await axios.post(
        "http://68.183.126.17:4001/post/Tara-Test/admin/a13111991/res.partner/search_read",
        body,
        {
          headers: {
            Accept: "application/json",
            "Content-Type": "application/json"
          }
        }
      );
      this.profile = profile.data;
      // this.profile-name = profile.data.display_name;
      console.log(profile.data);
    }
  }
};
</script>
